//
//  MapViewController.m
//  Prototype
//
//  Created by Alasdair Allan on 05/10/2009.
//  Copyright 2009 __MyCompanyName__. All rights reserved.
//

#import "MapViewController.h"
#import "SimpleAnnotation.h"


@implementation MapViewController

- (id) initWithCoordinates:(CLLocationCoordinate2D)coordinates andTitle:(NSString *)title andSubTitle:(NSString *)subtitle {
	if ( self = [super init] ) {
		theTitle = title;
		theSubTitle = subtitle;
		theCoords = coordinates;
	}
	return self;
	
}

- (id) initWithCoordinates:(CLLocationCoordinate2D)coordinates andTitle:(NSString *)title {
	return [self initWithCoordinates:coordinates andTitle:title andSubTitle:nil];
}



- (id) initWithCoordinates:(CLLocationCoordinate2D)coordinates {
	return [self initWithCoordinates:coordinates andTitle:nil andSubTitle:nil];
}


- (IBAction) done:(id)sender {
	[self dismissModalViewControllerAnimated:YES];
}

- (void)viewDidLoad {
    [super viewDidLoad];
	mapTitle.title = theTitle;
	SimpleAnnotation *annotation = [[SimpleAnnotation alloc] initWithCoordinate:theCoords];
	annotation.title = theTitle;
	annotation.subtitle = theSubTitle;
	
	MKCoordinateRegion region = { theCoords, {0.2, 0.2} };	
	[mapView setRegion:region animated:NO];
	[mapView addAnnotation: annotation];
	[annotation release];
}

- (void)didReceiveMemoryWarning {
    [super didReceiveMemoryWarning];
}

- (void)dealloc {
	[theTitle release];
	[theSubTitle release];
	[mapView release];
	[mapTitle release];
    [super dealloc];
}


@end
